Subject: Re: [secdir] SecDir review of draft-ietf-ipfix-structured-data-05

From: Yaron Sheffer <[email-masked]>
Date: Mon, 18 Apr 2011 16:56:01 +0300

Hi Benoit,

the new text is fine with me.

Thanks,
	Yaron

On 04/18/2011 03:50 PM, Benoit Claise wrote:
> Hi Yaron,
>
> Discussing with the other authors, we propose:
>
> OLD:
>
>     12. Security Considerations
>
>     The same security considerations as for the IPFIX Protocol
>     [RFC5101 <http://tools.ietf.org/html/rfc5101>] and the IPFIX
>     information model [RFC5102 <http://tools.ietf.org/html/rfc5102>] apply.
>
>
> NEW:
>
>     12. Security Considerations
>
>     The addition of complex data types necessarily complicates the
>     implementation of the Collector. This could easily result in new
>     security vulnerabilities (e.g., buffer overflows); this creates
>     additional risk in cases where either DTLS is not used, or if the
>     Observation Point and Collector belong to different trust domains.
>     Otherwise, the same security considerations as for the IPFIX Protocol
>     [RFC5101 <http://tools.ietf.org/html/rfc5101>] and the IPFIX
>     information model [RFC5102 <http://tools.ietf.org/html/rfc5102>] apply.
>
> Regards, Benoit.
>> Hi Yaron,
>>
>> Thanks for your feedback.
>> Sure we should add your proposed sentence.
>>
>> Regards, Benoit.
>>> I have reviewed this document as part of the security directorate's
>>> ongoing effort to review all IETF documents being processed by the IESG.
>>> These comments were written primarily for the benefit of the security
>>> area directors. Document editors and WG chairs should treat these
>>> comments just like any other last call comments.
>>>
>>> IPFIX is a structured information model and protocol for transmitting
>>> information about data flows. This document extends the model with
>>> structured data, basically several types of lists.
>>>
>>> I have not reviewed the document in full, rather I have looked at the
>>> security aspects only. The Security Considerations refer the reader
>>> to the IPFIX protocol and data model RFCs, and I mostly agree, with
>>> one exception. I suggest to add text similar to the next paragraph:
>>>
>>> The addition of complex data types necessarily complicates the
>>> implementation of the Collector. This could easily result in new
>>> security vulnerabilities (e.g., buffer overflows); this creates
>>> additional risk in cases where either DTLS is not used, or if the
>>> Observation Point and Collector belong to different trust domains.
>>>
>>> Thanks,
>>> Yaron
>

---

From: Benoit Claise <[email-masked]>
Date: Mon, 18 Apr 2011 14:50:15 +0200

Hi Yaron,

OLD:

NEW:

Regards, Benoit.